#pragma once

#include "PG_EQ.h"
#include "../../MainProc/NetGlobal.h"

class NetCli_EQ : public CNetGlobal
{
protected:
    //-------------------------------------------------------------------
    static NetCli_EQ* This;
    static bool _Init();
    static bool _Release();
    //-------------------------------------------------------------------
    static void _PG_EQ_LtoC_SetEQResult ( int Sockid , int Size , void* Data );   
    

public:    
    NetCli_EQ() { This = this; }

    static void    S_SetEQ_Body( ItemFieldStruct& Item , int ItemPos , int EqPos );
    static void    S_SetEQ_Bank( ItemFieldStruct& Item , int ItemPos , int EqPos );
    static void    S_SetEQ_EQ  ( ItemFieldStruct& Item , int ItemPos , int EqPos );


    virtual void R_SetEQOK( ) = 0;
    virtual void R_SetEQFailed( ) = 0;
};
